eoQuad2BinOp(3)

NAME
eoQuad2BinOp - Turning an eoQuadOp into an eoBinOp: simply don't touch the second arg!

SYNOPSIS

#include <eoOp.h>

Inherits eoBinOp< EOT >.

  Public Member Functions
eoQuad2BinOp (eoQuadOp< EOT > &_quadOp)
Ctor.
bool operator() (EOT &_eo1, const EOT &_eo2)
Operator() simply calls embedded quadOp operator() with dummy second arg.

  Private Attributes
eoQuadOp< EOT > & quadOp

Detailed Description

  template<class EOT> class eoQuad2BinOp< EOT >
Turning an eoQuadOp into an eoBinOp: simply don't touch the second arg!

Definition at line 143 of file eoOp.h.

Constructor & Destructor Documentation

  template<class EOT> eoQuad2BinOp< EOT >::eoQuad2BinOp (eoQuadOp< EOT > & _quadOp) [inline]

Ctor.

Parameters:
    _quadOp the eoQuadOp to be transformed

Definition at line 149 of file eoOp.h.

Author

Generated automatically by Doxygen for EO from the source code.